Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063191 - [origin_node_324] Should show more information in the help of oo-admin-gear
Summary: [origin_node_324] Should show more information in the help of oo-admin-gear
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Lokesh Mandvekar
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 09:10 UTC by Meng Bo
Modified: 2015-05-14 23:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-26 19:11:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1062768 None None None Never

Internal Links: 1062768

Description Meng Bo 2014-02-10 09:10:04 UTC
Description of problem:
There is no description for the tool oo-admin-gear and no way to get the available action list.
The help page should show such info.

Version-Release number of selected component (if applicable):
devenv_4352

How reproducible:
always

Steps to Reproduce:
1. SSH login to the node
2. # oo-admin-gear --help
3.

Actual results:
There is no description of the tool and available action list

Expected results:
Should tell the user what does the tool do and which action is supported by this in help page.

Additional info:
# oo-admin-gear help
Usage: oo-admin-gear --action ACTION --uuid UUID --app APP
    -A, --action ACTION              Specify action
    -u, --uuid UUID                  Requires user id
    -a, --app APP                    Requires app name

Comment 1 Lokesh Mandvekar 2014-02-10 15:06:44 UTC
Meng, Dan: I'm awaiting a merge for this: https://github.com/openshift/origin-server/pull/4704

could you take a look?

Comment 2 Dan McPherson 2014-02-11 02:44:24 UTC
https://github.com/openshift/origin-server/pull/4704

Comment 3 Meng Bo 2014-02-11 10:47:57 UTC
[root@ip-10-232-76-76 ~]# oo-admin-gear --help
Usage: oo-admin-gear --action ACTION --uuid UUID

Mandatory arguments: ACTION and gear UUID

    -a, --action ACTION              Specify action
Available actions: destroygear (cleanup stale files for a gear)

    -u, --uuid UUID                  Specify gear uuid


The help page of the tool is more readable. Verified on devenv_4358.


Note You need to log in before you can comment on or make changes to this bug.